Extending Qt Creator Manual | DeviceTypeKitInformation

Extending Qt Creator Manual 4.3.0

# DeviceTypeKitInformation Class

(ProjectExplorer::DeviceTypeKitInformation)

Inherits: | ProjectExplorer::KitInformation

- List of all members, including inherited members

## Public Functions

| DeviceTypeKitInformation()

- 15 public functions inherited from ProjectExplorer::KitInformation

## Static Public Members

const Core::Id | deviceTypeId(const Kit *k)
Kit::Predicate | deviceTypePredicate(Core::Id type)
const Core::Id | id()
void | setDeviceTypeId(Kit *k, Core::Id type)

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::KitInformation

## Member Function Documentation

### DeviceTypeKitInformation::DeviceTypeKitInformation()

Default constructs an instance of DeviceTypeKitInformation.

### `[static]` const Core::Id DeviceTypeKitInformation::deviceTypeId(const Kit *k)

See also setDeviceTypeId().

### `[static]` Kit::Predicate DeviceTypeKitInformation::deviceTypePredicate(Core::Id type)

### `[static]` const Core::Id DeviceTypeKitInformation::id()

### `[static]` void DeviceTypeKitInformation::setDeviceTypeId(Kit *k, Core::Id type)

See also deviceTypeId().